## qtsixa 1.5.1+git20130130-0~saucy2

=== Makefile ===
# You know, there are pre-compile DEBs of this...

all: build

build:
	$(MAKE) -C qtsixa
	$(MAKE) -C utils
	$(MAKE) -C sixad

clean:
	$(MAKE) clean -C qtsixa
	$(MAKE) clean -C utils
	$(MAKE) clean -C sixad

install:
	$(MAKE) install -C qtsixa
	$(MAKE) install -C utils
	$(MAKE) install -C sixad

uninstall:
	$(MAKE) uninstall -C sixad
	$(MAKE) uninstall -C utils
	$(MAKE) uninstall -C qtsixa

=== sixad/Makefile ===
# You know, there are pre-compile DEBs of this...

CXX ?= g++
CXXFLAGS ?= -O2 -Wall
LDFLAGS += -Wl,-Bsymbolic-functions

GASIA_GAMEPAD_HACKS = false # Set to 'true' to enable hacks

ifeq ($(GASIA_GAMEPAD_HACKS),true)
CXXFLAGS += -DGASIA_GAMEPAD_HACKS
endif

all: sixad_bins

sixad_bins:
	mkdir -p bins
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-bin.cpp bluetooth.cpp shared.cpp textfile.cpp -o bins/sixad-bin `pkg-config --cflags --libs bluez` -lpthread -fpermissive
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-sixaxis.cpp sixaxis.cpp shared.cpp uinput.cpp textfile.cpp -o bins/sixad-sixaxis -lpthread -lrt
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-remote.cpp remote.cpp shared.cpp uinput.cpp textfile.cpp -o bins/sixad-remote -lrt
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-raw.cpp sixaxis.cpp shared.cpp uinput.cpp textfile.cpp -o bins/sixad-raw
	$(CXX) $(CXXFLAGS) $(LDFLAGS) sixad-3in1.cpp sixaxis.cpp shared.cpp uinput.cpp textfile.cpp -o bins/sixad-3in1

clean:
	rm -f *~ bins/*

install:
	install -d $(DESTDIR)/etc/default/
	install -d $(DESTDIR)/etc/init.d/
	install -d $(DESTDIR)/etc/logrotate.d/
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/sbin/
	install -d $(DESTDIR)/var/lib/sixad/
	install -d $(DESTDIR)/var/lib/sixad/profiles/
	install -m 644 sixad.default $(DESTDIR)/etc/default/sixad
	install -m 755 sixad.init $(DESTDIR)/etc/init.d/sixad
	install -m 644 sixad.log $(DESTDIR)/etc/logrotate.d/sixad
	install -m 755 sixad $(DESTDIR)/usr/bin/
	install -m 755 bins/sixad-bin $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixad-sixaxis $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixad-remote $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixad-3in1 $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixad-raw $(DESTDIR)/usr/sbin/

	@chmod 777 -R $(DESTDIR)/var/lib/sixad/
	@echo "Installation is Complete!"

uninstall:
	rm -f $(DESTDIR)/etc/default/sixad
	rm -f $(DESTDIR)/etc/init.d/sixad
	rm -f $(DESTDIR)/etc/logrotate.d/sixad
	rm -f $(DESTDIR)/usr/bin/sixad
	rm -f $(DESTDIR)/usr/sbin/sixad-bin
	rm -f $(DESTDIR)/usr/sbin/sixad-sixaxis
	rm -f $(DESTDIR)/usr/sbin/sixad-remote
	rm -f $(DESTDIR)/usr/sbin/sixad-raw
	rm -rf $(DESTDIR)/var/lib/sixad/

=== utils/Makefile ===
# You know, there are pre-compile DEBs of this...

CC ?= gcc
CFLAGS ?= -O2 -Wall
LDFLAGS += -Wl,-Bsymbolic-functions

WANT_JACK = true

all: tools

tools:
	mkdir -p bins
	$(CC) $(CFLAGS) $(LDFLAGS) hidraw-dump.c -o bins/hidraw-dump
	$(CC) $(CFLAGS) $(LDFLAGS) sixpair.c -o bins/sixpair `pkg-config --cflags --libs libusb`
	$(CC) $(CFLAGS) $(LDFLAGS) sixpair_kbd.c -o bins/sixpair-kbd `pkg-config --cflags --libs libusb`
ifeq ($(WANT_JACK),true)
	$(CC) $(CFLAGS) $(LDFLAGS) sixad-jack.c -o bins/sixad-jack `pkg-config --cflags --libs jack` -lm
endif

clean:
	rm -f *~ bins/*

install:
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixpair $(DESTDIR)/usr/sbin/
	install -m 755 bins/sixpair-kbd $(DESTDIR)/usr/sbin/
	install -m 755 bins/hidraw-dump $(DESTDIR)/usr/sbin/
ifeq ($(WANT_JACK),true)
	install -m 755 bins/sixad-jack $(DESTDIR)/usr/bin/
endif

uninstall:
	rm -f $(DESTDIR)/usr/bin/sixad-jack
	rm -f $(DESTDIR)/usr/sbin/hidraw-dump
	rm -f $(DESTDIR)/usr/sbin/sixpair
	rm -f $(DESTDIR)/usr/sbin/sixpair-kbd

=== debian/changelog ===
qtsixa (1.5.1+git20130130-0~saucy2) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Mon, 20 May 2013 11:26:46 +0100

qtsixa (1.5.1+git20130130-0~precise2) precise; urgency=low

  * Update to latest git

 -- falkTX <falktx@gmail.com>  Wed, 30 Jan 2013 20:09:31 +0000

qtsixa (1.5.1-0ubuntu1~lucid1) lucid; urgency=low

  * New upstream stable release

 -- falkTX <falktx@gmail.com>  Wed, 12 Oct 2011 17:50:42 +0100

qtsixa (1.4.97+git20110701-0~lucid1) lucid; urgency=low

  * New Git, remove hcid from install

 -- falkTX <falktx@gmail.com>  Fri, 01 Jul 2011 17:20:44 +0100

qtsixa (1.4.97+git20110520-0~lucid1) lucid; urgency=low

  * Update to latest GIT code

 -- falkTX <falktx@gmail.com>  Fri, 20 May 2011 22:11:48 +0100

qtsixa (1.4.97-1~natty3) natty; urgency=low

  * Natty build

 -- falkTX <falktx@gmail.com>  Fri, 21 Jan 2011 15:09:49 +0000

qtsixa (1.4.97-1~maverick3) maverick; urgency=low

  * Maverick build

 -- falkTX <falktx@gmail.com>  Fri, 21 Jan 2011 15:09:44 +0000

qtsixa (1.4.97-1~lucid3) lucid; urgency=low

  * Fix Natty build

 -- falkTX <falktx@gmail.com>  Fri, 21 Jan 2011 15:05:15 +0000

qtsixa (1.4.97-1~lucid2) lucid; urgency=low

  * Fixed neverball profile
  * sixad-jack improvements:
    - don't print messages (for performance)
    - better keys sensitivity

 -- falkTX <falktx@gmail.com>  Tue, 18 Jan 2011 23:55:46 +0000

qtsixa (1.4.97-1~lucid1) lucid; urgency=low

  * Implemented legacy mode
  * Fix segfault when config files have missing information

 -- falkTX <falktx@gmail.com>  Sun, 16 Jan 2011 22:55:54 +0000

qtsixa (1.4.96-1~lucid4) lucid; urgency=low

  * Disable sixad-raw on GUI

 -- falkTX <falktx@gmail.com>  Thu, 30 Dec 2010 16:50:02 +0000

qtsixa (1.4.96-1~lucid3) lucid; urgency=low

  * Several fixes for sixad-raw

 -- falkTX <falktx@gmail.com>  Thu, 30 Dec 2010 01:09:34 +0000

qtsixa (1.4.96-0~lucid2) lucid; urgency=low

  * Fix Scroll usage
  * Fix using keys in the analog sticks
  * Prepare package for both Lucid, Maverick and Natty builds

 -- falkTX <falktx@gmail.com>  Thu, 23 Dec 2010 00:27:58 +0000

qtsixa (1.4.95-0~ppa6) lucid; urgency=low

  * Implemented log-rotation for sixad logs

 -- falkTX <falktx@gmail.com>  Fri, 03 Dec 2010 17:32:12 +0000

qtsixa (1.4.95-0~ppa2) lucid; urgency=low

  * Implemented lr3 axis/buttons thing
  * Fixed manage devices list sometimes empty
  * Fix Scroll speed (was too fast)

 -- falkTX <falktx@gmail.com>  Wed, 01 Dec 2010 15:40:03 +0000

qtsixa (1.4.95-0~ppa1) lucid; urgency=low

  * Re-write of backend code in C++ (many fixes, working rumble support)
  * Split sixad and utils
  * Update GUI and other stuff where needed

 -- falkTX <falktx@gmail.com>  Sat, 20 Nov 2010 20:58:28 +0000

qtsixa (1.4.90) lucid; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- falkTX <falktx@gmail.com>  Tue, 25 May 2010 18:08:08 +0100

=== debian/control ===
Source: qtsixa
Section: utils
Priority: optional
Maintainer: Ubuntu Devel <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Filipe Coelho (aka 'falkTX') <falktx@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0), cdbs, gcc (>= 4.1), pyqt4-dev-tools,
  libusb-dev, libbluetooth-dev, libdbus-glib-1-dev, libdbus-1-dev, libjack-dev | libjack-jackd2-dev

Package: qtsixa
Architecture: any
Depends: ${python:Depends}, ${misc:Depends},
  sixad | sixad-gasia,
  python-qt4, python-dbus, xdg-utils
Recommends: gksu | kdesu | kdesudo, bluez-hcidump, libnotify-bin
Description: Sixaxis Joystick Manager
 This package provides a useful GUI to control the sixad modules.
 .
 QtSixA is written in PyQt

Package: sixad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 4.12)
Conflicts: sixad-gasia
Replaces: sixad-gasia
Description: [Qt]SixA Daemon (Official)
 This package provides the modules (called 'sixad') for connecting PS3 hardware
 (Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine
 .
 Currently sixad supports:
  - Sixaxis buttons, axis, accelerometers and LEDs
  - PS3 Keypads
 .
 sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
 (ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".
 .
 This is the regular, official version.

Package: sixad-gasia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 4.12)
Conflicts: sixad
Replaces: sixad
Description: [Qt]SixA Daemon (Gasia)
 This package provides the modules (called 'sixad') for connecting PS3 hardware
 (Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine
 .
 Currently sixad supports:
  - Sixaxis buttons, axis, accelerometers and LEDs
  - PS3 Keypads
 .
 sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
 (ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".
 .
 This is the non-official, gasia version.

=== debian/rules ===
#! /usr/bin/make -f

override_dh_auto_build:
	make -C qtsixa
	make -C utils

	mkdir -p sixad/bins/
	make -C sixad GASIA_GAMEPAD_HACKS=false
	mv sixad/bins sixad/bins-official

	mkdir -p sixad/bins/
	make -C sixad GASIA_GAMEPAD_HACKS=true
	mv sixad/bins sixad/bins-gasia

override_dh_auto_install:
	make install -C qtsixa DESTDIR=$(CURDIR)/debian/qtsixa

	rm -rf sixad/bins

	mv sixad/bins-official sixad/bins
	make install -C sixad DESTDIR=$(CURDIR)/debian/sixad
	make install -C utils DESTDIR=$(CURDIR)/debian/sixad
	mv sixad/bins sixad/bins-official
	
	mv sixad/bins-gasia sixad/bins
	make install -C sixad DESTDIR=$(CURDIR)/debian/sixad-gasia
	make install -C utils DESTDIR=$(CURDIR)/debian/sixad-gasia
	mv sixad/bins sixad/bins-gasia

override_dh_auto_clean:
	make clean
	rm -rf sixad/bins*

%:
	dh $@

## qtsixa 1.5.1+git20130130-0~trusty1

=== qtsixa/Makefile ===
# You know, there are pre-compile DEBs of this...

DESTDIR =


build:
	pyuic4 -o ./gui/ui_qtsixa_mainw.py ./gui/ui/qtsixa_mainw.ui
	pyuic4 -o ./gui/ui_qtsixa_aboutw.py ./gui/ui/qtsixa_aboutw.ui
	pyuic4 -o ./gui/ui_qtsixa_managew.py ./gui/ui/qtsixa_managew.ui
	pyuic4 -o ./gui/ui_qtsixa_newdevw.py ./gui/ui/qtsixa_newdevw.ui
	pyuic4 -o ./gui/ui_qtsixa_newprofilew.py ./gui/ui/qtsixa_newprofilew.ui
	pyuic4 -o ./gui/ui_qtsixa_preferencesw.py ./gui/ui/qtsixa_preferencesw.ui
	pyuic4 -o ./gui/ui_qtsixa_referencew.py ./gui/ui/qtsixa_referencew.ui
	pyuic4 -o ./gui/ui_qtsixa_sixpairw.py ./gui/ui/qtsixa_sixpairw.ui
	pyrcc4 -o ./gui/qtsixa_rc.py ./icons/qtsixa.qrc

clean:
	rm -f *~ gui/*~ gui/*.pyc gui/ui_*.py gui/qtsixa_rc.py

install:
	#Make directories
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/share/applications/
	install -d $(DESTDIR)/usr/share/pixmaps/
# 	install -d $(DESTDIR)/usr/share/doc/qtsixa/
# 	install -d $(DESTDIR)/usr/share/doc/qtsixa/manual/
	install -d $(DESTDIR)/usr/share/qtsixa/
	install -d $(DESTDIR)/usr/share/qtsixa/game-profiles/
	install -d $(DESTDIR)/usr/share/qtsixa/gui/
	install -d $(DESTDIR)/usr/share/qtsixa/icons/
	install -d $(DESTDIR)/usr/share/qtsixa/pics/
	install -d $(DESTDIR)/usr/share/qtsixa/profiles/
#	install -d $(DESTDIR)/usr/share/qtsixa/lang/
	#Install files
	install -m 655 qtsixa $(DESTDIR)/usr/bin/
	install -m 655 sixad-lq $(DESTDIR)/usr/bin/
	install -m 655 sixad-notify $(DESTDIR)/usr/bin/
# 	install -m 644 manual/* $(DESTDIR)/usr/share/doc/qtsixa/manual/
	install -m 644 game-profiles/* $(DESTDIR)/usr/share/qtsixa/game-profiles/
	install -m 644 gui/*.py $(DESTDIR)/usr/share/qtsixa/gui/
	install -m 644 icons/* $(DESTDIR)/usr/share/qtsixa/icons/
	install -m 644 pics/* $(DESTDIR)/usr/share/qtsixa/pics/
	install -m 644 profiles/* $(DESTDIR)/usr/share/qtsixa/profiles/
#	install -m 644 lang/* $(DESTDIR)/usr/share/qtsixa/lang/
	install -m 644 sixad-notify.desktop $(DESTDIR)/usr/share/qtsixa/
	install -m 644 qtsixa.desktop $(DESTDIR)/usr/share/applications/
	install -m 644 qtsixa.xpm $(DESTDIR)/usr/share/pixmaps/

uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/qtsixa/
	rm -rf $(DESTDIR)/usr/share/qtsixa/
	rm -rf $(DESTDIR)/usr/bin/sixad-lq
	rm -rf $(DESTDIR)/usr/bin/sixad-notify
	rm -rf $(DESTDIR)/usr/bin/qtsixa
	rm -rf $(DESTDIR)/usr/share/applications/qtsixa.desktop
	rm -rf $(DESTDIR)/usr/share/pixmaps/qtsixa.xpm

=== debian/changelog ===
qtsixa (1.5.1+git20130130-0~trusty1) trusty; urgency=medium

  * Trusty build

 -- falkTX <falktx@gmail.com>  Sun, 20 Apr 2014 20:02:25 +0100

=== debian/watch ===
version=3
http://sourceforge.net/projects/qtsixa/files/QtSixA VERSION/QtSixA_(.*)-src.tar.gz
